classification
Title: Add an argument to test_support.open_urlresource to invalidate the cache
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: flox, r.david.murray
Priority: normal Keywords: patch

Created on 2010-01-26 18:41 by flox, last changed 2010-03-15 18:18 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
issue7787_urlresource.diff flox, 2010-01-26 20:34 Patch, apply to trunk
Messages (3)
msg98345 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-26 18:41
The function "open_urlresource" never invalidates its cache.
If a file with same name is available in "Lib/test/data/", it is returned.

There's a snippet in test_normalization which tries to invalidate the cache, but it fails because it looks in the wrong location. (#7783)
msg98377 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-26 20:34
The check argument is any function which receives an open file and return a boolean.

For example:
 - verify the version number on the first line (test_normalization)
 - calculate the MD5
msg101130 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-03-15 18:18
Done with r78986.
History
Date User Action Args
2010-03-15 18:18:48floxsetstatus: open -> closed
resolution: fixed
messages: + msg101130

stage: patch review -> resolved
2010-02-26 16:01:12floxunlinkissue8024 dependencies
2010-02-26 14:43:47floxlinkissue8024 dependencies
2010-01-26 20:37:41floxlinkissue7783 dependencies
2010-01-26 20:34:24floxsetfiles: + issue7787_urlresource.diff

nosy: + r.david.murray
messages: + msg98377

keywords: + patch
stage: patch review
2010-01-26 18:46:18floxsetpriority: normal
2010-01-26 18:41:09floxcreate